openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | None
Language | Haskell2010

OpenAPIPetstore.API.Pet

Contents

- Operations
  - Pet
    - addPet
    - deletePet
    - findPetsByStatus
    - findPetsByTags
    - getPetById
    - updatePet
    - updatePetWithForm
    - uploadFile
    - uploadFileWithRequiredFile

Description

Synopsis

- addPet :: (Consumes AddPet contentType, MimeRender contentType Pet) => ContentType contentType -> Pet -> OpenAPIPetstoreRequest AddPet contentType NoContent MimeNoContent
- data AddPet
- deletePet :: PetId -> OpenAPIPetstoreRequest DeletePet MimeNoContent NoContent MimeNoContent
- data DeletePet
- findPetsByStatus :: Accept accept -> Status -> OpenAPIPetstoreRequest FindPetsByStatus MimeNoContent [Pet] accept
- data FindPetsByStatus
- findPetsByTags :: Accept accept -> Tags -> OpenAPIPetstoreRequest FindPetsByTags MimeNoContent [Pet] accept
- data FindPetsByTags
- getPetById :: Accept accept -> PetId -> OpenAPIPetstoreRequest GetPetById MimeNoContent Pet accept
- data GetPetById
- updatePet :: (Consumes UpdatePet contentType, MimeRender contentType Pet) => ContentType contentType -> Pet -> OpenAPIPetstoreRequest UpdatePet contentType NoContent MimeNoContent
- data UpdatePet
- updatePetWithForm :: Consumes UpdatePetWithForm MimeFormUrlEncoded => PetId -> OpenAPIPetstoreRequest UpdatePetWithForm MimeFormUrlEncoded NoContent MimeNoContent
- data UpdatePetWithForm
- uploadFile :: Consumes UploadFile MimeMultipartFormData => PetId -> OpenAPIPetstoreRequest UploadFile MimeMultipartFormData ApiResponse MimeJSON
- data UploadFile
- uploadFileWithRequiredFile :: Consumes UploadFileWithRequiredFile MimeMultipartFormData => RequiredFile -> PetId -> OpenAPIPetstoreRequest UploadFileWithRequiredFile MimeMultipartFormData ApiResponse MimeJSON
- data UploadFileWithRequiredFile

# Operations

## Pet

### addPet

addPet Source #

Arguments

:: (Consumes AddPet contentType, MimeRender contentType Pet) |
=> ContentType contentType | request content-type (`MimeType`)
-> Pet | "pet" - Pet object that needs to be added to the store
-> OpenAPIPetstoreRequest AddPet contentType NoContent MimeNoContent |

    POST /pet

Add a new pet to the store

AuthMethod: `AuthOAuthPetstoreAuth`

data AddPet Source #

Instances

Produces AddPet MimeNoContent Source # |
Consumes AddPet MimeXML Source # |
    application/xml
Consumes AddPet MimeJSON Source # |
    application/json
HasBodyParam AddPet Pet Source # | Body Param Pet - Pet object that needs to be added to the store
Methods setBodyParam :: (Consumes AddPet contentType, MimeRender contentType Pet) => OpenAPIPetstoreRequest AddPet contentType res accept -> Pet -> OpenAPIPetstoreRequest AddPet contentType res accept Source #

### deletePet

deletePet Source #

Arguments

:: PetId | "petId" - Pet id to delete
-> OpenAPIPetstoreRequest DeletePet MimeNoContent NoContent MimeNoContent |

    DELETE /pet/{petId}

Deletes a pet

AuthMethod: `AuthOAuthPetstoreAuth`

data DeletePet Source #

Instances

Produces DeletePet MimeNoContent Source # |
HasOptionalParam DeletePet ApiKey Source # |
Methods applyOptionalParam :: OpenAPIPetstoreRequest DeletePet contentType res accept -> ApiKey -> OpenAPIPetstoreRequest DeletePet contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest DeletePet contentType res accept -> ApiKey -> OpenAPIPetstoreRequest DeletePet contentType res accept Source #

### findPetsByStatus

findPetsByStatus Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Status | "status" - Status values that need to be considered for filter
-> OpenAPIPetstoreRequest FindPetsByStatus MimeNoContent [Pet] accept |

    GET /pet/findByStatus

Finds Pets by status

Multiple status values can be provided with comma separated strings

AuthMethod: `AuthOAuthPetstoreAuth`

data FindPetsByStatus Source #

Instances

Produces FindPetsByStatus MimeXML Source # |
    application/xml
Produces FindPetsByStatus MimeJSON Source # |
    application/json

### findPetsByTags

findPetsByTags Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Tags | "tags" - Tags to filter by
-> OpenAPIPetstoreRequest FindPetsByTags MimeNoContent [Pet] accept |

Deprecated:

    GET /pet/findByTags

Finds Pets by tags

Multiple tags can be provided with comma separated strings. Use tag1, tag2, tag3 for testing.

AuthMethod: `AuthOAuthPetstoreAuth`

data FindPetsByTags Source #

Instances

Produces FindPetsByTags MimeXML Source # |
    application/xml
Produces FindPetsByTags MimeJSON Source # |
    application/json

### getPetById

getPetById Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> PetId | "petId" - ID of pet to return
-> OpenAPIPetstoreRequest GetPetById MimeNoContent Pet accept |

    GET /pet/{petId}

Find pet by ID

Returns a single pet

AuthMethod: `AuthApiKeyApiKey`

data GetPetById Source #

Instances

Produces GetPetById MimeXML Source # |
    application/xml
Produces GetPetById MimeJSON Source # |
    application/json

### updatePet

updatePet Source #

Arguments

:: (Consumes UpdatePet contentType, MimeRender contentType Pet) |
=> ContentType contentType | request content-type (`MimeType`)
-> Pet | "pet" - Pet object that needs to be added to the store
-> OpenAPIPetstoreRequest UpdatePet contentType NoContent MimeNoContent |

    PUT /pet

Update an existing pet

AuthMethod: `AuthOAuthPetstoreAuth`

data UpdatePet Source #

Instances

Produces UpdatePet MimeNoContent Source # |
Consumes UpdatePet MimeXML Source # |
    application/xml
Consumes UpdatePet MimeJSON Source # |
    application/json
HasBodyParam UpdatePet Pet Source # | Body Param Pet - Pet object that needs to be added to the store
Methods setBodyParam :: (Consumes UpdatePet contentType, MimeRender contentType Pet) => OpenAPIPetstoreRequest UpdatePet contentType res accept -> Pet -> OpenAPIPetstoreRequest UpdatePet contentType res accept Source #

### updatePetWithForm

updatePetWithForm Source #

Arguments

:: Consumes UpdatePetWithForm MimeFormUrlEncoded |
=> PetId | "petId" - ID of pet that needs to be updated
-> OpenAPIPetstoreRequest UpdatePetWithForm MimeFormUrlEncoded NoContent MimeNoContent |

    POST /pet/{petId}

Updates a pet in the store with form data

AuthMethod: `AuthOAuthPetstoreAuth`

data UpdatePetWithForm Source #

Instances

Produces UpdatePetWithForm MimeNoContent Source # |
Consumes UpdatePetWithForm MimeFormUrlEncoded Source # |
    application/x-www-form-urlencoded
HasOptionalParam UpdatePetWithForm StatusText Source # | Optional Param "status" - Updated status of the pet
Methods applyOptionalParam :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source #
HasOptionalParam UpdatePetWithForm Name2 Source # | Optional Param "name" - Updated name of the pet
Methods applyOptionalParam :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source #

### uploadFile

uploadFile Source #

Arguments

:: Consumes UploadFile MimeMultipartFormData |
=> PetId | "petId" - ID of pet to update
-> OpenAPIPetstoreRequest UploadFile MimeMultipartFormData ApiResponse MimeJSON |

    POST /pet/{petId}/uploadImage

uploads an image

AuthMethod: `AuthOAuthPetstoreAuth`

data UploadFile Source #

Instances

Produces UploadFile MimeJSON Source # |
    application/json
Consumes UploadFile MimeMultipartFormData Source # |
    multipart/form-data
HasOptionalParam UploadFile File2 Source # | Optional Param "file" - file to upload
Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFile contentType res accept -> File2 -> OpenAPIPetstoreRequest UploadFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFile contentType res accept -> File2 -> OpenAPIPetstoreRequest UploadFile contentType res accept Source #
HasOptionalParam UploadFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server
Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFile contentType res accept Source #

### uploadFileWithRequiredFile

uploadFileWithRequiredFile Source #

Arguments

:: Consumes UploadFileWithRequiredFile MimeMultipartFormData |
=> RequiredFile | "requiredFile" - file to upload
-> PetId | "petId" - ID of pet to update
-> OpenAPIPetstoreRequest UploadFileWithRequiredFile MimeMultipartFormData ApiResponse MimeJSON |

    POST /fake/{petId}/uploadImageWithRequiredFile

uploads an image (required)

AuthMethod: `AuthOAuthPetstoreAuth`

data UploadFileWithRequiredFile Source #

Instances

Produces UploadFileWithRequiredFile MimeJSON Source # |
    application/json
Consumes UploadFileWithRequiredFile MimeMultipartFormData Source # |
    multipart/form-data
HasOptionalParam UploadFileWithRequiredFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server
Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept Source #